%global srcname copr-common

Name:       python-copr-common
Version:    1.1
Release:    1.20250721090424373358.main.12.g73a673f77%{?dist}
Summary:    Python code used by Copr

License:    GPL-2.0-or-later
URL:        https://github.com/fedora-copr/copr

# Source is created by:
# git clone %%url && cd copr
# tito build --tgz --tag %%name-%%version-%%release
Source0:    python-copr-common-git-51.b7176b2.tar.gz

BuildArch: noarch

%if 0%{?rhel} > 10 || 0%{?fedora} > 42
BuildRequires: python3-devel
%else
BuildRequires: python3-devel
BuildRequires: python3-setuptools
%endif
BuildRequires: python3-pytest
BuildRequires: python3-requests
BuildRequires: python3-filelock
BuildRequires: python3-setproctitle

%global _description\
COPR is lightweight build system. It allows you to create new project in WebUI,\
and submit new builds and COPR will create yum repository from latest builds.\
\
This package contains python code used by other Copr packages. Mostly\
useful for developers only.\


%description %_description


%package -n python3-%{srcname}
Summary: %{summary}
%{?python_provide:%python_provide python3-%{srcname}}
%description -n python3-%{srcname} %_description


%if 0%{?rhel} > 10 || 0%{?fedora} > 42
%generate_buildrequires
%pyproject_buildrequires
%endif


%prep
%setup -q -n python-copr-common-git-51.b7176b2


%build
%if 0%{?rhel} > 10 || 0%{?fedora} > 42
version="%version" %pyproject_wheel
%else
version="%version" %py3_build
%endif


%install
%if 0%{?rhel} > 10 || 0%{?fedora} > 42
version=%version %pyproject_install
%else
version=%version %py3_install
%endif

%check
%{_bindir}/python3 -m pytest -vv tests


%files -n python3-%{srcname}
%license LICENSE
%{python3_sitelib}/*



%changelog
* Mon Jul 21 2025 Packit <hello@packit.dev> - 1.1-1.20250721090424373358.main.12.g73a673f77
- frontend: add symlink to alma family logo from almalinux (Jiri Kyjovsky)
- frontend: Fix AI button visibility (Jiri Kyjovsky)
- backend: fix race condition in BatchedCreaterepo (Pavel Raiskup)
- backend: Stop using deprecated %py3_build/%py3_install macros (Miroslav Suchý)
- remove el7 condition (Miroslav Suchý)
- python-copr: Stop using deprecated %py3_build/%py3_install macros (Miroslav Suchý)
- python-copr: remove rhel7 conditions and remove python2 support (Miroslav Suchý)
- backend: drop the 'Z' suffix from timestamp (Pavel Raiskup)
- Switch RPM upload to the synchronous API from pulp_rpm (Dennis Kliban)
- doc: update documentation for builder images to use image-buidler and bootc (Jakub Kadlcik)
- backend: fix false-positive failures for build deletion (Jakub Kadlcik)
- backend: fix ftbfs for deepcopy not able to handle itertools.count (Jiri Kyjovsky)
- Automatic commit of package [copr-backend] release [2.6-1]. (Jakub Kadlcik)
- Set pulp_labels at RPM upload time. (Dennis Kliban)
- Wait on add_and_remove task to finish (Dennis Kliban)
- Switches PulpStorage to using the synchronous RPM upload API (Dennis Kliban)
- frontend: after edit, redirect to the package (Jakub Kadlcik)
- Specify charset in lighttpd mimetypes (Mattia Verga)
- doc: stop using deprecated get_html_theme_path funciton (Jakub Kadlcik)
- frontend: disable network when crearing a new fedora review project (Jakub Kadlcik)
- frontend: hide excessive CoprDirs under a details tag (Jakub Kadlcik)
- backend: make PULP work more verbose in logs (Pavel Raiskup)
- backend: fix waiting for Pulp copr_base repository (Jakub Kadlcik)
- Create one repository version and publication per chroot (Dennis Kliban)
- remove license classifier (Miroslav Suchý)
- common: modernize specfile using pyproject macro (Miroslav Suchý)
- backend: use real condition as assert can be removed in compiled code (Miroslav Suchý)
- backend: optimize copr_log_hitcounter for memory (Miroslav Suchý)
- backend: optimize copr_log_hitcounter for memory (Miroslav Suchý)
- Automatic commit of package [copr-backend] release [2.5-1]. (Jakub Kadlcik)
- backend: pulp in production and STG uses a bit different URLs (Jakub Kadlcik)
- Correct typo in main.py (rxguy)
- backend: add script to migrate pulp.json to Pulp labels (Jakub Kadlcik)
- backend: add function to get pulp object based on its href (Jakub Kadlcik)
- Update user_documentation.rst (Luiz Miguel)
- backend: strip leading zeros from the build ID (Jakub Kadlcik)
- backend: pass build ID to upload_build_results (Jakub Kadlcik)
- frontend: fix local builds in Pulp projects (Jakub Kadlcik)
- backend: more log "checkpoints" for build worker (Pavel Raiskup)
- backend: fix typo in dkilban's name, sorry (Pavel Raiskup)
- Automatic commit of package [copr-backend] release [2.4-1]. (Pavel Raiskup)
- Uses build_id to find packages for removal (Dennis Kliban)
- Adds build_id pulp_label to RPMs uploaded to Pulp. (Dennis Kliban)
- rpmbuild: deduplicate two methods (Pavel Raiskup)
- Use ThreadPoolExecutor to parallelize RPM uploads to Pulp. (Dennis Kliban)
- docs: drop pulp playbooks from RPM releasing manual (Jiri Kyjovsky)
- Add AlmaLinux logo (Jonathan Wright)
- Update centos logo (Jonathan Wright)
- frontend: fix one pagure-events' traceback (Pavel Raiskup)
- frontend: use the new BeautifulSoup find_all() method (Pavel Raiskup)
- frontend: drop the duplicit session.commit() call (Pavel Raiskup)
- frontend: fix autoflushing warnings, take #2 (Pavel Raiskup)
- frontend: models_committed has been moved in sqlalchemy (Pavel Raiskup)
- frontend: fix SAWarnings about autoflush (Jiri Kyjovsky)
- rpmbuild: make sure we use the latest dist-git-client (Pavel Raiskup)
- backend: drop the novaclient dependency (Pavel Raiskup)
- releng: release clients into all EPEL chroots (Pavel Raiskup)
- frontend: fix typo in logging message (Pavel Raiskup)
- frontend: pagure-events fail for "dots" in copr.name (Pavel Raiskup)
- doc: add release notes for copr update (Jiri Kyjovsky)
- frontend: treat malformed task_id in backend_general (Jiri Kyjovsky)
- frontend: log the user who removes a project (Pavel Raiskup)
- Automatic commit of package [copr-backend] release [2.3-1]. (Pavel Raiskup)
- backend: lighttpd-filesystem provides group(lighttpd) on F42+ (Pavel Raiskup)
- Automatic commit of package [copr-backend] release [2.2-1]. (Pavel Raiskup)
- Add sysusers.d config file to allow rpm to create users/groups automatically (Miroslav Suchý)
- Automatic commit of package [copr-messaging] release [1.1-1]. (Pavel Raiskup)
- messaging: fix FTBFS caused by sphinx config (Pavel Raiskup)
- Automatic commit of package [copr-keygen] release [2.1-1]. (Pavel Raiskup)
- Automatic commit of package [copr-dist-git] release [1.1-1]. (Pavel Raiskup)
- Automatic commit of package [copr-rpmbuild] release [1.3-1]. (Pavel Raiskup)
- Automatic commit of package [python-copr] release [2.1-1]. (Pavel Raiskup)
- Automatic commit of package [copr-cli] release [2.1-1]. (Pavel Raiskup)
- Automatic commit of package [copr-frontend] release [2.2-1]. (Pavel Raiskup)
- Automatic commit of package [copr-selinux] release [1.56-1]. (Pavel Raiskup)

* Tue Mar 25 2025 Pavel Raiskup <praiskup@redhat.com> 1.1-1
- lock the pulp-redirect.txt file

* Wed Oct 02 2024 Jiri Kyjovsky <j1.kyjovsky@gmail.com> 1.0-1
- Drop support for rhel7 and rhel6

* Thu Aug 01 2024 Miroslav Suchý <msuchy@redhat.com> 0.25-1
- frontend, backend, common: don't limit the storage to pulp only

* Tue May 21 2024 Jakub Kadlcik <frostyx@email.cz> 0.24-1
- Fix chroot_to_branch default

* Fri Mar 15 2024 Pavel Raiskup <praiskup@redhat.com> 0.23-1
- make get_redis_connection to accept dict-like 'opts' argument

* Fri Mar 01 2024 Pavel Raiskup <praiskup@redhat.com> 0.22-1
- fix misleading warning for non-copr library consumers
- add `contextlib.nullcontext` function as EL8 compat
- limit stdout/stderr of ssh.run_expensive() commands
- use 'copr-common/<version>' as http user agent identifier
- changes needed to allow user SSH to builders

* Thu Nov 23 2023 Pavel Raiskup <praiskup@redhat.com> 0.21-1
- rename GroupWorkerLimit to HashWorkerLimit
- explicitly build-depend on python-six

* Tue Aug 15 2023 Pavel Raiskup <praiskup@redhat.com> 0.20-1
- move chroot_to_branch from frontend to copr-common
- redis authentication support added

* Tue May 23 2023 Jakub Kadlcik <frostyx@email.cz> 0.19-1
- Specfile compatibility with OpenEuler

* Tue Jan 24 2023 Jakub Kadlcik <frostyx@email.cz> 0.18-1
- Periodically dump the priority queue to a JSON file
- Use SPDX license

* Sat Nov 26 2022 Jakub Kadlcik <frostyx@email.cz> 0.17-1
- move to GitHub home page
- logging shouldn't affect stdout
- move dispatcher and background workers to copr-common
- scripts should log also timestamps etc when logging into file
- move setup_script_logger to copr-common

* Thu Oct 27 2022 Jakub Kadlcik <frostyx@email.cz> - 0.16.2.dev-1
- Add background_worker.py from backend
- Add get_redis_connection function
- Add Dispatcher, WorkerManager, and QueueTask classes
- Add WorkerLimit, PredicateWorkerLimit, and GroupWorkerLimit classes

* Sun Oct 02 2022 Jakub Kadlcik <frostyx@email.cz> - 0.16-1
- Add setup_script_logger function

* Tue Jun 21 2022 Jakub Kadlcik <frostyx@email.cz> 0.15-1
- Allow SafeRequest's timeout to be specified

* Wed Feb 02 2022 Silvie Chlupova <schlupov@redhat.com> 0.14-1
- Fixing copr-common version

* Wed Feb 02 2022 Silvie Chlupova <schlupov@redhat.com> 0.13.2.dev-1
- dist-git: python code for removing unused tarballs on dist-git server

* Wed Nov 10 2021 Silvie Chlupova <schlupov@redhat.com> 0.13.1-1
- Fixing copr-common version

* Wed Nov 10 2021 Silvie Chlupova <schlupov@redhat.com> 0.12.2.dev-1
- Always set 'requests.get()' timeout

* Tue Jun 15 2021 Pavel Raiskup <praiskup@redhat.com> 0.12-1
- new action type for automatically deleting pull-request CoprDirs

* Mon Nov 30 2020 Pavel Raiskup <praiskup@redhat.com> 0.11-1
- add first tests for copr-common package
- repeatedly send requests to frontend until they succeed

* Mon Nov 30 2020 Pavel Raiskup <praiskup@redhat.com> 0.10-1
- ship LICENSE file in PyPI tarball

* Wed Nov 11 2020 Pavel Raiskup <praiskup@redhat.com> 0.9-1
- bump to non-devel version

* Mon Nov 09 2020 Jakub Kadlcik <frostyx@email.cz> 0.8.2.dev-1
- common, cli, python, rpmbuild, frontend, backend: DistGit source method
- common: RHEL6 fix for ModuleStatusEnum

* Tue Jun 09 2020 Pavel Raiskup <praiskup@redhat.com> 0.8-1
- non-devel version 0.8

* Tue May 05 2020 Jakub Kadlcik <frostyx@email.cz> 0.7-1
- add ActionResult (moved from backend package)
- add DefaultActionPriorityEnum
- add ActionPriorityEnum
- add run_tests.sh script and run pylint in it

* Wed Aug 28 2019 Pavel Raiskup <praiskup@redhat.com> 0.6-1
- enhanced ModuleStatusEnum (issue#607)

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Feb 11 2019 Jakub Kadlčík <frostyx@email.cz> 0.5-1
- Add splitFilename function

* Fri Oct 19 2018 Miroslav Suchý <msuchy@redhat.com> 0.4-1
- sync common.BuildSourceEnum with helpers.BuildSourceEnum
- use git_dir_archive instead of git_dir_pack
- packaging: Python 2/3, RHEL/Fedora fixes

* Mon Aug 06 2018 clime <clime@redhat.com> 0.3-1
- %%{python_sitelib} → %%{python2_sitelib}
- fix git packing for python-copr, copr-common
- fix reading spec file values from setup.py
- rpkg deployment into COPR

* Thu Mar 22 2018 Dominik Turecek <dturecek@redhat.com> 0.2-1
- [common] fix spec file

* Mon Mar 19 2018 Dominik Turecek <dturecek@redhat.com> 0.1-1
- create python-copr-common package
